Web Training System Requirements

Internet Explorer is not supported as of September 7, 2021. Please use an alternate browser listed below.

Recommended Browsers (please be sure to update your browser to the latest version)

  • Firefox (Windows and Mac)
  • Chrome (Windows and Mac)
  • Safari (Mac only)
  • Microsoft Edge (Windows only)

Operating Systems

  • Windows - 7, 8 and 10 with the latest service packs.
  • Macs - OS X version 10.7 (Lion) or newer
  • Linux - Linux is not a fully supported operating system by SkillSoft. You may try to access the training on your Linux computer but we do not guarantee it will work properly.
  • If you do decide to proceed with web training on Linux, please check your My Progress tab on the left hand side of your SkillSoft home page to verify that your training has been recorded.

Mobile Requirements

These applications support the following configurations on smartphones:

Operating System  Browser
Android 6.0+ Mobile Chrome
Apple iOS 11.x+ Mobile Safari, Mobile Chrome

These applications support the following configurations on tablets:

Operating System  Browser
Android 6.0+ Chrome browser

Note: Samsung Galaxy Note 10 users must use Google Chrome as the native browser is not supported.

Samsung 7" tablets are not supported.
Apple iOS 11.x+ Native mobile Safari browser
Windows 8.1, 10 Native browser

For a detailed system requirements list click here.

Java and Flash are no longer required for web training. Please use one of the recommended browsers listed above which are compatible with HTML 5.

  • A sound card is required in your computer along with speakers or headphones.